Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface UserMailList

    public interface UserMailList

# Customized Mail List

JReport Enterprise Server provides the ability to use customized user mail list scheme. A customized user mail list scheme must implement the interface `jet.server.api.UserMailList`, and import the customized class file by modifying the following JReport Enterprise Server's properties file:
`<SERVER PATH>/bin/classes.properties`

When using customized user mail list scheme, user should:
1. Write a class which implements the interface `jet.server.api.UserMailList`.
2. Put the class into CLASSPATH which used by launching JReport Enterprise Server
3. Edit file `<SERVER PATH>/bin/classes.properties`, let name `UserMailList` point to the customized class
4. Restart JReport Enterprise Server and the customized user mail list is working.

Method Summary
`java.util.Enumeration` | `getAllMailAddresses(java.lang.String realmName)` Get all user's mail addresses in the realm specified by "realmName".
`java.util.Enumeration` | `getGroupMailAddresses(java.lang.String realmName, java.lang.String groupName)` Get all user's mail addresses in a group that specified by realm "realmName" and group "groupName".
`java.lang.String` | `getMailAddress(java.lang.String realmName, java.lang.String userName)` Get user's mail address specified by "realmName" and "userName".
`java.util.Enumeration` | `getRoleMailAddresses(java.lang.String realmName, java.lang.String roleName)` Get all user's mail addresses which refer to a role that specified by realm "realmName" and group "roleNameName".

Method Detail

### getAllMailAddresses

    java.util.Enumeration getAllMailAddresses(java.lang.String realmName)

  Get all user's mail addresses in the realm specified by "realmName".

  Parameters:
    `realmName` - the realm name
  Returns:
    all user mail addresses in the realm. Each element is a `String`.``

### getGroupMailAddresses

    java.util.Enumeration getGroupMailAddresses(java.lang.String realmName,
                                                java.lang.String groupName)

  Get all user's mail addresses in a group that specified by realm "realmName" and group "groupName".

  Parameters:
    `realmName` - the realm name
    `groupName` - the group name
  Returns:
    all user mail addresses in the group. Each element is a `String`.``

### getMailAddress

    java.lang.String getMailAddress(java.lang.String realmName,
                                    java.lang.String userName)

  Get user's mail address specified by "realmName" and "userName".

  Parameters:
    `realmName` - the realm name
    `userName` - the user name return user mail address, if "realmName" or "userName" is invalid, return null.

### getRoleMailAddresses

    java.util.Enumeration getRoleMailAddresses(java.lang.String realmName,
                                               java.lang.String roleName)

  Get all user's mail addresses which refer to a role that specified by realm "realmName" and group "roleNameName".

  Parameters:
    `realmName` - the realm name
    `roleName` - the role name
  Returns:
    all user mail addresses which refer to a role. Each element is a `String`.``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD